Bug 241060 - x11-wm/fluxconf: respect NLS, fix missing library dependencies, trim install docs
Summary: x11-wm/fluxconf: respect NLS, fix missing library dependencies, trim install ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-10-04 15:25 UTC by Jason Helfman
Modified: 2019-10-23 15:42 UTC (History)
0 users

See Also:
jgh: maintainer-feedback?


Attachments
respect NLS, fix missing library dependencies, trim install docs (1.35 KB, patch)
2019-10-04 15:25 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2019-10-04 15:25:44 UTC
Created attachment 208093 [details]
respect NLS, fix missing library dependencies, trim install docs

fully support NLS 
add required library dependencies
remove installing release-based Makefiles as documentation (previously these files were installed, but not being tracked in port as part of installed files)
Comment 1 Bugzilla Automation freebsd_committer 2019-10-04 15:25:44 UTC
Maintainer informed via mail
Comment 2 Automation User 2019-10-19 00:12:48 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/89887029
Comment 3 Jason Helfman freebsd_committer 2019-10-23 15:42:06 UTC
Committed!
Comment 4 commit-hook freebsd_committer 2019-10-23 15:42:26 UTC
A commit references this bug:

Author: jgh
Date: Wed Oct 23 15:41:48 UTC 2019
New revision: 515268
URL: https://svnweb.freebsd.org/changeset/ports/515268

Log:
  - fully support NLS
  - add missing library dependencies
  - trim installing release-based untracked Makefiles as documentation
  - pet portlint

  PR:		241060
  Submitted by:	jgh@
  Approved by:	maintainer-timeout

Changes:
  head/x11-wm/fluxconf/Makefile